Skip to main content
GET
Get Quote

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

quoteId
string
required

Response

200 - application/json

Quote

id
string
required

The unique identifier for the quote (e.g. quot_xxxxx).

url
string
required

The URL to view this quote in the Portal.

number
string
required
status
enum<string>
required
Available options:
pending,
requested,
awaiting_payment,
approved,
cancelled
quote_type
enum<string>
required
Available options:
translation,
academic_evaluation,
expert_opinion_letter,
perm_ad
requested_turnaround
enum<string> | null
required
Available options:
standard,
next_day,
same_day,
expedited
tat_value
integer | null
required

The turnaround time value.

tat_range
enum<string> | null
required
Available options:
hour,
day,
week,
month
turnaround_label
string | null
required

A human-readable turnaround label.

has_guaranteed_delivery
boolean
required

Whether a guaranteed delivery date is set.

guaranteed_delivery_at
string | null
required
total_cents
integer
required

The total in cents, computed from quote items.

total
string
required

The formatted total (e.g. "150.00").

expires_at
string | null
required
requested_at
string | null
required
approved_at
string | null
required
canceled_at
string | null
required
created_at
string
required
updated_at
string
required
items
QuoteItem · object[]

The quote line items.

cart
Cart · object | null

The associated cart.

documents
Document · object[]

The associated documents.